Sisyphus repository
Last update: 1 october 2023 | SRPMs: 18631 | Visits: 37737906
en ru br
ALT Linux repos
S:2.0.5-alt4

Group :: Development/Tools
RPM: pencil

 Main   Changelog   Spec   Patches   Sources   Download   Gear   Bugs and FR  Repocop 

Patch: pencil-2.0.5-alt-xulrunner.patch
Download


Removing usage of the obsolete xulrunner binary
--- usr/bin/pencil
+++ usr/bin/pencil
@@ -1,5 +1,15 @@
 #!/bin/sh
 #
 
-/usr/bin/xulrunner --app "/usr/share/pencil/application.ini"
+DIR=/usr/share/pencil/
 
+if which firefox 2>/dev/null ; then
+    firefox -app $DIR/application.ini "$@";
+elif which iceweasel 2>/dev/null ; then
+    iceweasel -app $DIR/application.ini "$@";
+elif which abrowser 2>/dev/null ; then
+    abrowser -app $DIR/application.ini "$@";
+else
+    echo "Could not find XULRunner runtime engine."
+    exit 1;
+fi
 
design & coding: Vladimir Lettiev aka crux © 2004-2005, Andrew Avramenko aka liks © 2007-2008
current maintainer: Michael Shigorin